# Get current user (account info) GET https://api2.freecustom.email/v1/me Returns the authenticated developer's account info — plan, rate limits, feature flags, inbox count, credit balance, and custom domain count. Reference: https://docs.freecustom.email/free-custom-email-api/v-1/me/get-current-user-account-info ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /v1/me: get: operationId: get-current-user-account-info summary: Get current user (account info) description: >- Returns the authenticated developer's account info — plan, rate limits, feature flags, inbox count, credit balance, and custom domain count. tags: - subpackage_v1.subpackage_v1/me parameters: - name: Authorization in: header description: Bearer authentication required: true schema: type: string responses: '200': description: OK content: application/json: schema: $ref: >- #/components/schemas/v1_me_Get current user (account info)_Response_200 '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/GetV1MeRequestUnauthorizedError' '429': description: Too Many Requests content: application/json: schema: $ref: '#/components/schemas/GetV1MeRequestTooManyRequestsError' servers: - url: https://api2.freecustom.email components: schemas: V1MeGetResponsesContentApplicationJsonSchemaDataFeatures: type: object properties: websocket: type: boolean attachments: type: boolean custom_domains: type: boolean otp_extraction: type: boolean max_ws_connections: type: integer max_attachment_size_mb: type: integer required: - websocket - attachments - custom_domains - otp_extraction - max_ws_connections - max_attachment_size_mb title: V1MeGetResponsesContentApplicationJsonSchemaDataFeatures V1MeGetResponsesContentApplicationJsonSchemaDataRateLimits: type: object properties: requests_per_month: type: integer requests_per_second: type: integer required: - requests_per_month - requests_per_second title: V1MeGetResponsesContentApplicationJsonSchemaDataRateLimits V1MeGetResponsesContentApplicationJsonSchemaDataCustomDomainsItems: type: object properties: domain: type: string added_at: type: string format: date-time verified: type: boolean mx_record: type: string txt_record: type: string required: - domain - added_at - verified - mx_record - txt_record title: V1MeGetResponsesContentApplicationJsonSchemaDataCustomDomainsItems V1MeGetResponsesContentApplicationJsonSchemaData: type: object properties: plan: type: string credits: type: integer features: $ref: >- #/components/schemas/V1MeGetResponsesContentApplicationJsonSchemaDataFeatures api_inboxes: type: array items: type: string app_inboxes: type: array items: type: string rate_limits: $ref: >- #/components/schemas/V1MeGetResponsesContentApplicationJsonSchemaDataRateLimits custom_domains: type: array items: $ref: >- #/components/schemas/V1MeGetResponsesContentApplicationJsonSchemaDataCustomDomainsItems api_inbox_count: type: integer app_inbox_count: type: integer custom_domain_count: type: integer required: - plan - credits - features - api_inboxes - app_inboxes - rate_limits - custom_domains - api_inbox_count - app_inbox_count - custom_domain_count title: V1MeGetResponsesContentApplicationJsonSchemaData v1_me_Get current user (account info)_Response_200: type: object properties: data: $ref: >- #/components/schemas/V1MeGetResponsesContentApplicationJsonSchemaData success: type: boolean required: - data - success title: v1_me_Get current user (account info)_Response_200 GetV1MeRequestUnauthorizedError: type: object properties: error: type: string message: type: string success: type: boolean required: - error - message - success title: GetV1MeRequestUnauthorizedError GetV1MeRequestTooManyRequestsError: type: object properties: hint: type: string error: type: string message: type: string success: type: boolean credits_url: type: string format: uri upgrade_url: type: string format: uri required: - hint - error - message - success - credits_url - upgrade_url title: GetV1MeRequestTooManyRequestsError securitySchemes: bearerAuth: type: http scheme: bearer ``` ## SDK Code Examples ```python v1_me_Get current user (account info)_example import requests url = "https://api2.freecustom.email/v1/me" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript v1_me_Get current user (account info)_example const url = 'https://api2.freecustom.email/v1/me'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go v1_me_Get current user (account info)_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api2.freecustom.email/v1/me" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby v1_me_Get current user (account info)_example require 'uri' require 'net/http' url = URI("https://api2.freecustom.email/v1/me") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java v1_me_Get current user (account info)_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api2.freecustom.email/v1/me") .header("Authorization", "Bearer ") .asString(); ``` ```php v1_me_Get current user (account info)_example request('GET', 'https://api2.freecustom.email/v1/me', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp v1_me_Get current user (account info)_example using RestSharp; var client = new RestClient("https://api2.freecustom.email/v1/me"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift v1_me_Get current user (account info)_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api2.freecustom.email/v1/me")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```